A valid request URL is required to generate request examples{
"id": "<string>",
"llm_request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"tool_name": "<string>",
"server_label": "<string>",
"virtual_key_id": "<string>",
"virtual_key_name": "<string>",
"arguments": {},
"result": {},
"error_details": {
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
},
"latency": 123,
"cost": 123,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"virtual_key": {}
}Get MCP tool log by ID
Retrieves a single MCP tool execution log by ID, including hydrated object-storage payloads when configured.
A valid request URL is required to generate request examples{
"id": "<string>",
"llm_request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"tool_name": "<string>",
"server_label": "<string>",
"virtual_key_id": "<string>",
"virtual_key_name": "<string>",
"arguments": {},
"result": {},
"error_details": {
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
},
"latency": 123,
"cost": 123,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"virtual_key": {}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
MCP tool log ID
Response
MCP tool log found
MCP tool execution log entry
Unique identifier for the log entry
Links to the LLM request that triggered this tool call
When the tool execution started
Name of the MCP tool that was executed
Label of the MCP server that provided the tool
ID of the virtual key used for this tool execution
Name of the virtual key used for this tool execution
Tool execution arguments
Tool execution result
Error response from Bifrost
Show child attributes
Show child attributes
Execution time in milliseconds
Cost in dollars for this tool execution
Execution status
processing, success, error Custom metadata captured from request headers (configured via logging_headers or x-bf-lh-* prefix)
When the log entry was created
Full virtual key object (populated when virtual_key_id is set)
Was this page helpful?

